;D'RAVEN's CMD ver 5.22
;--| CPU Motions |------------------------------------------------------
[command]
name = "AI1"
command = B,D,a+c,z,c+b,s
time = 1
[command]
name = "AI2"
command = B,F,c+b,z,c+z,x,s
time = 1
[command]
name = "AI3"
command = B,U,a+b,y,c+y,s,z,D
time = 1
[command]
name = "AI4"
command = B,B,a+y,c,z+x,s
time = 1
[command]
name = "AI5"
command = B,B,a+b,z,c+b,s
time = 1
[command]
name = "AI6"
command = D,B,z+b,z,c+x,s
time = 1
[command]
name = "AI7"
command = B,U,a+b,z,c+x,s
time = 1
[command]
name = "AI8"
command = B,F,a+b,c,c+x,s
time = 1
[Command]
name = "AI9"
command = U,D,F,F,B,B,s
time = 1
[Command]
name = "AI10"
command = U,D,F,F,B,F,s
time = 1
[Command]
name = "AI11"
command = U,D,F,F,B,D,s
time = 1
[Command]
name = "AI12"
command = U,D,F,F,B,U,s
time = 1
[Command]
name = "AI13"
command = U,D,F,F,U,B,s
time = 1
[Command]
name = "AI14"
command = U,D,F,F,D,B,s
time = 1
[Command]
name = "AI15"
command = U,D,F,F,F,B,s
time = 1
[Command]
name = "AI16"
command = U,D,U,F,B,B,s
time = 1
[Command]
name = "AI17"
command = U,D,D,F,B,B,s
time = 1
[Command]
name = "AI18"
command = D,D,F,F,B,B,s
time = 1
[Command]
name = "AI19"
command = U,U,F,F,B,B,s
time = 1
[Command]
name = "AI20"
command = U,B,F,F,B,B,s
time = 1
[Command]
name = "AI21"
command = UB, U, F, a+b,s
time = 1
[Command]
name = "AI22"
command = UB, U, F, b+c,s
time = 1
[Command]
name = "AI23"
command = UB, U, F, a+c,s
time = 1
[Command]
name = "AI24"
command = UF, U, B, x+y,s
time = 1
[Command]
name = "AI25"
command = UF, U, B, y+z,s
time = 1
[Command]
name = "AI26"
command = UF, U, B, x+z,s
time = 1
[Command]
name = "AI27"
command = UB, U, F, x+y,s
time = 1
[Command]
name = "AI28"
command = UB, U, F, y+z,s
time = 1
[Command]
name = "AI29"
command = UB, U, F, x+z,s
time = 1
[Command]
name = "AI30"
command = UF, U, B, a+b,s
time = 1
[Command]
name = "AI31"
command = UF, U, B, b+c,s
time = 1
[Command]
name = "AI32"
command = UF, U, B, a+c,s
time = 1
[Command]
name = "AI33"
command = UF, DB, UB,DF ,x,s
time = 1
[Command]
name = "AI34"
command = UF, DB, UB,DF ,y,s
time = 1
[Command]
name = "AI35"
command = UF, DB, UB,DF , z,s
time = 1

;-| Super Motions |--------------------------------------------------------
; Counter
[Command]   
name = "fstrike" 
command = x+a+y
time= 1

[Command]
name = "dfdff"
command = ~D,DF,F,D,DF,F,x
time = 25
[Command]
name = "dfdff"
command = ~D,F,D,DF,F,x
time = 25
[Command]
name = "dfdff"
command = ~D,DF,F,D,F,x
time = 25
[Command]
name = "dfdff"
command = ~D,F,D,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,DB,F,D,DF,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,DB,B,D,DF,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,B,D,DF,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,DB,F,D,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,DB,B,D,F,x
time = 25
[Command]
name = "dfdfb"
command = ~D,B,D,F,x
time = 25
[Command]
name = "dbdbx"
command = ~D,DB,B,D,DB,B,x
time = 25
[Command]
name = "dbdbx"
command = ~D,B,D,DB,B,x
time = 25
[Command]
name = "dbdbx"
command = ~D,DB,B,D,B,x
time = 25
[Command]
name = "dbdbx"
command = ~D,B,D,B,x
time = 25
;-| Special Motions |------------------------------------------------------
[Command]
name = "tacklef"
command = ~D,DF,a
time = 15
[Command]
name = "tackleb"
command = ~D,DB,a
time = 15

[Command]
name = "mmf"
command = D,DF,F,x
time = 15
[Command]
name = "mmb"
command = D,DB,B,x
time = 15
[Command]
name = "mmm"
command = D,DB,F,x
time = 15

[Command]
name = "fw"
command = D,DF,F
time = 15
[Command]
name = "fw"
command = D,F
time = 15
[Command]
name = "fw"
command = D,B
time = 15
[Command]
name = "fw"
command = D,DB,B
time = 15

[Command]
name = "ddx"
command = ~D,D,x
time = 15

[Command]
name = "fdff"
command = ~F,D,DF,x
time = 15
[Command]
name = "fdfb"
command = ~B,D,DF,x
time = 15
[Command]
name = "bdb"
command = ~B,D,DB,x
time = 15

[Command]
name = "isf"
command = ~D,F,DF,x
time = 15
[Command]
name = "isf"
command = ~D,F,D,x
time = 15
[Command]
name = "is"
command = ~D,B,DF,x
time = 15
[Command]
name = "is"
command = ~D,B,D,x
time = 15
[Command]
name = "isb"
command = ~D,B,DB,x
time = 15
[Command]
name = "isb"
command = ~D,B,D,x
time = 15

[Command]
name = "struggle"      
command = B,F
time = 10
;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"
command = F,F
time = 10

[Command]
name = "BB"
command = B,B
time = 10

[Command]
name = "UU"
command = U,U
time = 10
[Command]
name = "DJ"
command = U
time = 1
[Command]
name = "DJ"
command = UF
time = 1
[Command]
name = "DJ"
command = UB
time = 1
[Command]
name = "DD"
command = D,D
time = 10

[Command]
name = "aa"
command = a,a
time = 15
[Command]
name = "ax"
command = a+x
time = 1
;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+x
time = 1
[Command]
name = "recovery";Required (do not remove)
command = a,a
time = 8

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "f_x"
command = F,x
time = 15
[Command]
name = "b_x"
command = B,x
time = 15
;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---------------------------------------------------------------------------
; Commands
[Statedef -1]

[State -1];FF
type = ChangeState
value = 3000
triggerall = fvar(35) = 0
triggerall = var(36) = 3
triggerall = (statetype != A && ctrl) || stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
triggerall = command = "fstrike" || (helper(1),command = "b" && helper(1),var(34) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0 && helper(1),var(31) = 2) || (command = "hold_x" && command = "hold_a" && command = "hold_y")
trigger1 = numpartner > 0
trigger1 = partner,life > 0
trigger2 = power >= 500+var(19)*10
[State -1];MS
type = ChangeState
value = 1070
triggerall = fvar(35) = 0
triggerall = power >= 700 + var(19)*10 && helper(1),var(31) = 2
triggerall = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(34) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];FW
type = ChangeState
value = 1090
triggerall = fvar(35) = 0
triggerall = power >= 310 + var(19)*10 && helper(1),var(31) = 1
triggerall = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(33) = 8 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];PK
type = ChangeState
value = 1110
triggerall = fvar(35) = 0
triggerall = power >= 650 + var(19)*10 && helper(1),var(31) = 0
triggerall = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(32) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];IS
type = ChangeState
value = 1020
triggerall = fvar(35) = 0
triggerall = power >= 230 + var(19)*10 && helper(1),var(31) = 0
triggerall = (command = "isf" || command = "isb" || command = "is") || (helper(1),command = "b" && helper(1),var(32) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];FS
type = ChangeState
value = 1080
triggerall = fvar(35) = 0
triggerall = power >= 220 + var(19)*10 && helper(1),var(31) = 1
triggerall = (command = "isf" || command = "isb" || command = "is") || (helper(1),command = "b" && helper(1),var(33) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];CK
type = ChangeState
value = 1010
triggerall = fvar(35) = 0
triggerall = power >= 240 + var(19)*10 && helper(1),var(31) = 0
triggerall = (command = "fdff" || command = "fdfb" || command = "bdb") || (helper(1),command = "b" && helper(1),var(32) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];LB
type = ChangeState
value = 1130
triggerall = fvar(35) = 0
triggerall = power >= 170 + var(19)*10 && helper(1),var(31) = 1
triggerall = (command = "fdff" || command = "fdfb" || command = "bdb") || (helper(1),command = "b" && helper(1),var(33) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];CE
type = ChangeState
value = 1100
triggerall = fvar(35) = 0
triggerall = power >= 240 + var(19)*10 && helper(1),var(31) = 2
triggerall = (command = "fdff" || command = "fdfb" || command = "bdb" || command = "isf" || command = "isb" || command = "is") || (helper(1),command = "b" && helper(1),var(34) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];FB
type = ChangeState
value = 1040
triggerall = fvar(35) = 0
triggerall = power >= 150 + var(19)*10 && helper(1),var(31) = 0
triggerall = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(32) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];MM
type = ChangeState
value = 1000
triggerall = fvar(35) = 0
triggerall = power >= 200 + var(19)*10 && helper(1),var(31) = 1
triggerall = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(33) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];not enough mana
type = ChangeState
value = 1035
triggerall = fvar(35) = 0
triggerall = (statetype != A && ctrl) || stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = power < 195 + var(19)*10 && helper(1),var(31) = 0
trigger1 = (command = "ddx"&&fvar(9)=0) || (helper(1),command = "b" && helper(1),var(32) = 8 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger2 = power < 600 + var(19)*10 && helper(1),var(31) = 1
trigger2 = (command = "ddx"&&fvar(9)=0) || (helper(1),command = "b" && helper(1),var(33) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger3 = power < 200 + var(19)*10 && helper(1),var(31) = 1
trigger3 = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(33) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger4 = power < 150 + var(19)*10 && helper(1),var(31) = 0
trigger4 = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(32) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger5 = power < 240 + var(19)*10 && helper(1),var(31) = 0
trigger5 = (command = "fdff" || command = "fdfb" || command = "bdb") || (helper(1),command = "b" && helper(1),var(32) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger6 = power < 220 + var(19)*10 && helper(1),var(31) = 1
trigger6 = (command = "isf" || command = "isb" || command = "is") || (helper(1),command = "b" && helper(1),var(33) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger7 = power < 230 + var(19)*10 && helper(1),var(31) = 0
trigger7 = (command = "isf" || command = "isb" || command = "is") || (helper(1),command = "b" && helper(1),var(32) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger8 = power < 700 + var(19)*10 && helper(1),var(31) = 2
trigger8 = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(34) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger9 = power < 310 + var(19)*10 && helper(1),var(31) = 1
trigger9 = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(33) = 8 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger10 = power < 240 + var(19)*10 && helper(1),var(31) = 2
trigger10 = (command = "fdff" || command = "fdfb" || command = "bdb") || (helper(1),command = "b" && helper(1),var(34) = 12 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger11 = power < 650 + var(19)*10 && helper(1),var(31) = 0
trigger11 = (command = "dfdff" || command = "dfdfb" || command = "dbdbx") || (helper(1),command = "b" && helper(1),var(32) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger12 = power < 140 + var(19)*10 && helper(1),var(31) = 2
trigger12 = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(34) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger13 = power < 170 + var(19)*10 && helper(1),var(31) = 1
trigger13 = (command = "fdff" || command = "fdfb" || command = "bdb") || (helper(1),command = "b" && helper(1),var(33) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger14 = power < 140 + var(19)*10
trigger14 = command = "ax"
trigger15 = command = "fstrike" || (helper(1),command = "b" && helper(1),var(34) = 16 && helper(1),var(14)=0 && helper(1),var(10)=0 && helper(1),var(31) = 2) || (command = "hold_x" && command = "hold_a" && command = "hold_y")
trigger15 = (numpartner = 0 && power < 1000+var(19)*10) || power < 500 + var(19)*10 || var(36) != 3
[State -1];FR
type = ChangeState
value = 1120
triggerall = fvar(35) = 0
triggerall = power >= 140 + var(19)*10 && helper(1),var(31) = 2
triggerall = (command = "mmf" || command = "mmb" || command = "mmm") || (helper(1),command = "b" && helper(1),var(34) = 0 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];FR
type = ChangeState
value = 1120
triggerall = fvar(35) = 0
triggerall = power >= 140 + var(19)*10
triggerall = command = "ax"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];PI
type = ChangeState
value = 1050
triggerall = fvar(35) = 0
triggerall = power >= 600 + var(19)*10 && helper(1),var(31) = 1
triggerall = (command = "ddx"&&fvar(9)=0) || (helper(1),command = "b" && helper(1),var(33) = 4 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108
[State -1];RG
type = ChangeState
value = 1060
triggerall = fvar(35) = 0
triggerall = power >= 195 + var(19)*10 && helper(1),var(31) = 0
triggerall = (command = "ddx"&&fvar(9)=0) || (helper(1),command = "b" && helper(1),var(32) = 8 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104
trigger3 = stateno = 107 || stateno = 108

[State -1];shoulder attack
type = ChangeState
value = 230
triggerall = fvar(35) = 0
triggerall = (statetype != A && ctrl) || stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
triggerall = helper(1),command = "b" && helper(1),var(31) = 3 && helper(1),var(14)=0 && helper(1),var(10)=0
trigger1 = helper(1),var(35) = 0 && var(41)=0
trigger2 = helper(1),var(35) = 4 && var(42)=0
trigger3 = helper(1),var(35) = 8 && var(43)=0
trigger4 = helper(1),var(35) = 12 && var(44)=0
trigger5 = helper(1),var(35) = 16 && var(45)=0
trigger6 = helper(1),var(35) = 20 && var(46)=0

;Run
[State -1]
type = ChangeState
value = 100
trigger1 = fvar(35) = 0
trigger1 = helper(1),command = "FF" || helper(1),command = "BB"
trigger1 = statetype = S
trigger1 = ctrl || stateno = 109 || stateno = 52

[State -1]
type = ChangeState
value = 111
trigger1 = fvar(35) = 0
trigger1 = stateno != 111 && roundstate < 3
trigger1 = (command = "a" && command = "holdup")|| command = "UU" || (command = "b" && helper(1),var(31) = 2 && helper(1),var(34) = 8 && helper(1),var(14)=0 && helper(1),var(10)=0)
trigger1 = ctrl || stateno = 40 || stateno = 200 || stateno = 300 || stateno = 250 || stateno = 103 || stateno = 104 || stateno = 400 || stateno = 52

[State -1];crouch walk
type = ChangeState
value = 21
trigger1 = fvar(35) = 0
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = statetype = C && command != "hold_a"
trigger1 = ctrl

[State -1];tackle
type = ChangeState
value = 107
triggerall = fvar(35) = 0
triggerall = command = "tacklef" || command = "tackleb"
triggerall = statetype != A
trigger1 = ctrl || stateno = 103 || stateno = 104 || stateno = 52 || stateno = 109
trigger2 = (stateno = 107 || stateno = 108) && p2life <= 0

[State -1];run attack
type = ChangeState
value = 300
trigger1 = fvar(35) = 0
trigger1 = command = "x"
trigger1 = stateno = 100 && movecontact = 0

[State -1];gradius attack
type = ChangeState
value = 250
triggerall = fvar(35) = 0
triggerall = (command = "f_x" || command = "b_x") && (command = "holdfwd" || command = "holdback")
trigger1 = statetype = S
trigger1 = ctrl || stateno = 200 || stateno = 300
trigger2 = stateno = 109

[State -1];stand attack
type = ChangeState
value = 200
trigger1 = fvar(35) = 0
trigger1 = command = "x" && command != "holddown" && command != "holdup"
trigger1 = statetype = S && stateno != 100
trigger1 = ctrl

[State -1];blink
type = ChangeState
value = 109
triggerall = fvar(35) = 0
triggerall = helper(1),command != "tacklef" && helper(1),command != "tackleb"
triggerall = command != "tacklef" && command != "tackleb"
triggerall = command = "aa"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 300 || stateno = 250 || stateno = 103
trigger3 = stateno = 104 || stateno = 400 || stateno = 40 || stateno = 52 || stateno = 1035

[State -1];pickup
type = ChangeState
value = 410
triggerall = fvar(35) = 0
triggerall = command = "x" && command = "holddown" && command != "holdfwd" && command != "holdback"
triggerall = statetype = C && ctrl
trigger1 = numhelper(3) > 0 && var(21) - pos x < 20 && var(21) - pos x > -20
trigger1 = helper(3),pos y > 9
trigger2 = numhelper(4) > 0 && var(22) - pos x < 20 && var(22) - pos x > -20
trigger2 = helper(4),pos y > 9

[State -1];crouch attack
type = ChangeState
value = 400
trigger1 = fvar(35) = 0
trigger1 = command = "x" && command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

[State -1];jump attack f
type = ChangeState
value = 600
trigger1 = fvar(35) = 0
trigger1 = command = "x" && command != "holddown" && stateno != 111
trigger1 = statetype = A
trigger1 = ctrl

[State -1];jump attack d
type = ChangeState
value = 610
trigger1 = fvar(35) = 0
trigger1 = command = "x" && command = "holddown" && stateno != 111
trigger1 = statetype = A
trigger1 = ctrl

[State -1];guard
type = ChangeState
value = 130
trigger1 = fvar(35) = 0
trigger1 = command = "hold_a" && command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
[State -1]
type = ChangeState
value = 131
trigger1 = fvar(35) = 0
trigger1 = command = "hold_a" && command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 205
triggerall = fvar(35) = 0
triggerall = helper(1),var(31) = 3 && helper(1),command = "b" && helper(1),var(14)=0 && helper(1),var(10)=0
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
trigger1 = helper(1),var(35) = 0 && var(41) = [1,8]
trigger2 = helper(1),var(35) = 4 && var(42) = [1,8]
trigger3 = helper(1),var(35) = 8 && var(43) = [1,8]
trigger4 = helper(1),var(35) = 12 && var(44) = [1,8]
trigger5 = helper(1),var(35) = 16 && var(45) = [1,8]
trigger6 = helper(1),var(35) = 20 && var(46) = [1,8]

[State -1]
type = ChangeState
value = 1140
triggerall = fvar(35) = 0
triggerall = helper(1),var(31) = 3 && helper(1),command = "b" && helper(1),var(14)=0 && helper(1),var(10)=0
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
trigger1 = helper(1),var(35) = 0 && var(41) = [9,16]
trigger2 = helper(1),var(35) = 4 && var(42) = [9,16]
trigger3 = helper(1),var(35) = 8 && var(43) = [9,16]
trigger4 = helper(1),var(35) = 12 && var(44) = [9,16]
trigger5 = helper(1),var(35) = 16 && var(45) = [9,16]
trigger6 = helper(1),var(35) = 20 && var(46) = [9,16]

[State -1]
type = ChangeState
value = 1150
triggerall = fvar(35) = 0
triggerall = helper(1),var(31) = 3 && helper(1),command = "b" && helper(1),var(14)=0 && helper(1),var(10)=0
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
trigger1 = helper(1),var(35) = 0 && var(41) = [17,22]
trigger2 = helper(1),var(35) = 4 && var(42) = [17,22]
trigger3 = helper(1),var(35) = 8 && var(43) = [17,22]
trigger4 = helper(1),var(35) = 12 && var(44) = [17,22]
trigger5 = helper(1),var(35) = 16 && var(45) = [17,22]
trigger6 = helper(1),var(35) = 20 && var(46) = [17,22]

;--------------------------------------------------------------------------
;   AI action
;--------------------------------------------------------------------------
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI1"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI2"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI3"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI4"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI5"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI6"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI7"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI8"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI9"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI10"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI11"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI12"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI13"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI14"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI15"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI16"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI17"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI18"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI19"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI20"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI21"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI22"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI23"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI24"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI25"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI26"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI27"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI28"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI29"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI30"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI31"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI32"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI33"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI34"
fvar(35) = 1
[State -2, 0]  ;ai start
type = varset
triggerall = fvar(35) = 0
triggerall = var(58) < 0 || var(58) > 0
trigger1 = command = "AI35"
fvar(35) = 1

; win, stop moving
[State -2]
type = ChangeState
value = 0
trigger1 = fvar(35) = 1
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = Win = 1 || roundstate > 2

[State -1];줍기
type = ChangeState
value = 410
triggerall = fvar(35) = 1
triggerall = statetype != A && ctrl
trigger1 = numhelper(3) > 0 && var(21) - pos x < 20 && var(21) - pos x > -20
trigger1 = helper(3),pos y > 9
trigger2 = numhelper(4) > 0 && var(22) - pos x < 20 && var(22) - pos x > -20
trigger2 = helper(4),pos y > 9
[State -1];슬라이딩
type = ChangeState
value = 107
triggerall = fvar(35) = 1 && statetype != A && p2movetype != A
triggerall = ctrl || stateno = 103 || stateno = 104 || stateno = 52 || (stateno = 109 && time > 8)
trigger1 = numhelper(3) > 0 && (var(21) - pos x <= 160 && var(21) - pos x >= -160)
trigger1 = helper(3),var(1) > 34 || (helper(3),var(1) = 33 && life < 850) || (helper(3),var(1) = 34 && life < 750)
trigger1 = helper(3),frontedgedist > 0 && helper(3),backedgedist > 0
trigger2 = numhelper(4) > 0 && (var(22) - pos x <= 160 && var(22) - pos x >= -160)
trigger2 = helper(4),var(1) > 34 || (helper(4),var(1) = 33 && life < 850) || (helper(4),var(1) = 34 && life < 750)
trigger2 = helper(4),frontedgedist > 0 && helper(4),backedgedist > 0
[State -1];걷기
type = ChangeState
value = 22
triggerall = fvar(35) = 1 && statetype != A && p2movetype != A && prevstateno != 22
triggerall = stateno != 22 && prevstateno != 22
triggerall = ctrl
trigger1 = numhelper(3) > 0 && (var(21) - pos x <= 160 && var(21) - pos x >= -160)
trigger1 = helper(3),var(1) < 33
trigger1 = helper(3),frontedgedist > 0 && helper(3),backedgedist > 0
trigger2 = numhelper(4) > 0 && (var(22) - pos x <= 160 && var(22) - pos x >= -160)
trigger2 = helper(4),var(1) < 33
trigger2 = helper(4),frontedgedist > 0 && helper(4),backedgedist > 0

[State -1]
type = ChangeState
value = 205
triggerall = fvar(35) = 1
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
triggerall = p2dist x > 250 || p2statetype = L
trigger1 = var(36) = 1 && ((var(41) = [2,8]) || (var(42) = [2,8]) || (var(43) = [2,8]) || (var(44) = [2,8]) || (var(45) = [2,8]) || (var(46) = [2,8]))
trigger2 = (var(36) = 2||var(36) = 4) && ((var(41) = [2,3]) || (var(42) = [2,3]) || (var(43) = [2,3]) || (var(44) = [2,3]) || (var(45) = [2,3]) || (var(46) = [2,3]))

[State -1]
type = ChangeState
value = 1140
triggerall = fvar(35) = 1
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
triggerall = (var(41) = [9,16]) || (var(42) = [9,16]) || (var(43) = [9,16]) || (var(44) = [9,16]) || (var(45) = [9,16]) || (var(46) = [9,16])
trigger1 = (p2dist x > 250 || p2movetype != A) && random < 200
trigger1 = var(41) != 10 && var(42) != 10 && var(43) != 10 && var(44) != 10 && var(45) != 10 && var(46) != 10
trigger1 = var(41) != 13 && var(42) != 13 && var(43) != 13 && var(44) != 13 && var(45) != 13 && var(46) != 13
trigger2 = var(41) = 10 || var(42) = 10 || var(43) = 10 || var(44) = 10 || var(45) = 10 || var(46) = 10
trigger2 = p2dist x < 160 && p2dist x > -160
trigger2 = p2movetype != A || enemynear,facing = facing
trigger3 = var(41) = 13 || var(42) = 13 || var(43) = 13 || var(44) = 13 || var(45) = 13 || var(46) = 13
trigger3 = p2dist x < 110 && p2dist x > -110
trigger3 = p2movetype != A || enemynear,facing = facing

[State -1]
type = ChangeState
value = 1150
triggerall = fvar(35) = 1
triggerall = (statetype != A && ctrl) || (stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108)
triggerall = (var(41) = [17,22])||(var(42) = [17,22])||(var(43) = [17,22])||(var(44) = [17,22])||(var(45) = [17,22])||(var(46) = [17,22])
trigger1 = (p2dist x > 250 || (p2dist x > 100 && p2dist x < 251 && p2movetype != A)) && random < 200
trigger1 = (var(41) = [19,22])||(var(42) = [19,22])||(var(43) = [19,22])||(var(44) = [19,22])||(var(45) = [19,22])||(var(46) = [19,22])
trigger2 = (p2dist x > 100 && p2dist x < 251 && p2movetype != A) && random < 200
trigger2 = (var(41) = [17,18])||(var(42) = [17,18])||(var(43) = [17,18])||(var(44) = [17,18])||(var(45) = [17,18])||(var(46) = [17,18])

[state -2];점프
type = ChangeState
value = 40
triggerall = fvar(35) = 1
triggerall = ctrl
triggerall = statetype = S
trigger1 = p2statetype != L
trigger1 = p2statetype != A
trigger1 = p2dist X > 250 && p2dist X < -250
trigger1 = random <= 25+ifelse(p2movetype=A,20,0)
trigger2 = (p2dist X > 150 && p2dist x <= 250) || (p2dist X < -150 && p2dist x >= -250)
trigger2 = random <= 15+ifelse(p2movetype=A,15,0)

[State -1];파이널
type = ChangeState
value = 3000
triggerall = fvar(35) = 1 && fvar(34) >= 1
triggerall = var(36) = 3
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
triggerall = random < 2+ifelse(life <= 250,2,0)+ifelse((numpartner=0&&power+var(19)*10<=1300)||(numpartner>0&&power+var(19)*10<=800),2,0)+ifelse(fvar(34)>0&&p2life<=590,10,0)
trigger1 = numpartner > 0
trigger1 = partner,life > 0
trigger2 = power >= 500+var(19)*10

;대쉬1
[State -1]
type = ChangeState
value = 100
triggerall = fvar(35) = 1
triggerall = statetype != A
triggerall = ctrl || stateno = 109 || stateno = 52
trigger1 = p2stateno = 1083 && p2movetype = H

[State -1];미티어
type = ChangeState
value = 1070
triggerall = fvar(35) = 1
triggerall = power >= 700 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100 && var(20) <= 0
trigger2 = random < 50 && var(20) > 0
trigger3 = (P2name = "Apocalypse" || P2name = "Apocalypse") && var(20) > 0
[State -1];파이어월
type = ChangeState
value = 1090
triggerall = fvar(35) = 1 && p2statetype != L && p2name != "pyron" && p2name != "pyron(DS)"
triggerall = power >= 310 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
triggerall = p2name != "D'RAVEN" || p2stateno != 1000
trigger1 = p2dist x > 269 && ((random < 100 && p2movetype = A)||(random < 50 && p2movetype != A))
trigger2 = p2dist x <= 50 && p2dist x > 0 && random < 100 && enemynear,vel y >= 0
[State -1];파워워드킬
type = ChangeState
value = 1110
triggerall = fvar(35) = 1
triggerall = power >= 650 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 30
[State -1];아이스
type = ChangeState
value = 1020
triggerall = fvar(35) = 1 && p2name != "iceman"
triggerall = power >= 230 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 90 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];스톤
type = ChangeState
value = 1080
triggerall = fvar(35) = 1
triggerall = power >= 220 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
[State -1];클라우드
type = ChangeState
value = 1010
triggerall = fvar(35) = 1
triggerall = power >= 240 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 90 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];라이트닝
type = ChangeState
value = 1130
triggerall = fvar(35) = 1 && p2dist x <= 363
triggerall = power >= 170 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 150 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];엘리멘탈
type = ChangeState
value = 1100
triggerall = fvar(35) = 1
triggerall = power >= 240 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 90 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];파이어볼
type = ChangeState
value = 1040
triggerall = fvar(35) = 1 && p2name != "pyron" && p2name != "pyron(DS)"
triggerall = power >= 150 + var(19)*10 && p2dist x <= 313
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 90 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];매직
type = ChangeState
value = 1000
triggerall = fvar(35) = 1
triggerall = power >= 200 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = p2dist x > 90 && (p2stateno = 5050 || (p2statetype = L && p2stateno != 5120)) && random < 100
[State -1];not enough mana
type = ChangeState
value = 1035
trigger1 = fvar(35) = 1
trigger1 = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = (numpartner = 0 && power < 1000+var(19)*10) || power < 500 + var(19)*10 || var(36) != 3
trigger1 = p2dist x > 269 && p2movetype != A && random < 100 && power < 310+var(19)*10
[State -1];파이어라운드
type = ChangeState
value = 1120
triggerall = fvar(35) = 1 && p2name != "pyron" && p2name != "pyron(DS)"
triggerall = power >= 140 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x < 76 && p2dist x > -76 && p2movetype = A && random < 75
[State -1];프로젝티드
type = ChangeState
value = 1050
triggerall = fvar(35) = 1 && var(20) <= 0
triggerall = power >= 600 + var(19)*10
triggerall = (statetype != A && ctrl) || (stateno = 109 && time > 8) || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
trigger1 = p2dist x > 269 && p2movetype != A && random < 100
trigger2 = enemynear,name = "Apocalypse"

[State -1];리버스
type = ChangeState
value = 1060
triggerall = fvar(35) = 1
triggerall = power >= 195 + var(19)*10 && p2stateno != 5050
triggerall = (statetype != A && ctrl) || stateno = 109 || stateno = 100 || stateno = 103 || stateno = 104 || stateno = 107 || stateno = 108
triggerall = p2dist x > 53 && p2dist x <= 105
triggerall = (enemynear,facing != facing && enemynear, vel x >= 0)||(enemynear,facing = facing && enemynear, vel x <= 0)
trigger1 = enemynear,facing = facing && p2movetype = A && random < 500 && stateno = 109 && time > 8
trigger2 = random < 50

[State -1];어깨
type = ChangeState
value = 230
triggerall = fvar(35) = 1
triggerall = statetype != A && ctrl
triggerall = var(41)=0 || var(42)=0 || var(43)=0 || var(44)=0 || var(45)=0 || var(46)=0
trigger1 = p2dist x < 70 && p2life < 20 && random < 200

;대쉬
[State -1]
type = ChangeState
value = 100
triggerall = fvar(35) = 1
triggerall = statetype != A
triggerall = ctrl || stateno = 52
trigger1 = p2dist x < 30 && random < 300 && p2stateno != 5050 && p2statetype != L
trigger2 = p2dist x > 269 && random < 100 && p2movetype != A
trigger3 = p2dist x > 200 && var(20) > 0 && random < 330
trigger4 = p2dist x > 150 && random < 200 && p2movetype != A

;[State -1]
;type = ChangeState
;value = 111
;trigger1 = fvar(35) = 1
;trigger1 = stateno != 111 && roundstate < 3
;trigger1 = ctrl || stateno = 40 || stateno = 200 || stateno = 300 || stateno = 250 || stateno = 103 || stateno = 104 || stateno = 400 || stateno = 52

;[State -1];crouch walk
;type = ChangeState
;value = 21
;trigger1 = fvar(35) = 1
;trigger1 = statetype = C
;trigger1 = ctrl

[State -1];블링크1
type = ChangeState
value = 109
triggerall = fvar(35) = 1 && statetype != A && var(20) <= 0 && pos y >= 0
triggerall = p2movetype = H && p2bodydist X < 2 && frontedgedist <= 30
triggerall = p2bodydist X > -1 && ctrl
trigger1 = numhelper(3) > 0 && (var(21) - pos x <= 80 && var(21) - pos x >= -80)
trigger1 = helper(3),var(1) < 33
trigger1 = helper(3),frontedgedist > 0 && helper(3),backedgedist > 0
trigger2 = numhelper(4) > 0 && (var(22) - pos x <= 80 && var(22) - pos x >= -80)
trigger2 = helper(4),var(1) < 33
trigger2 = helper(4),frontedgedist > 0 && helper(4),backedgedist > 0


[State -1];대쉬공격
type = ChangeState
value = 300
triggerall = fvar(35) = 1 && statetype != A && p2statetype != L && p2stateno != 5050
triggerall = p2dist y > -65
triggerall = (stateno = 100 && movecontact = 0) || (stateno != 100 && ctrl)
trigger1 = p2dist x <= 120 && p2dist x >= 80 && (random < 100 || (power < 500 && random < 200))
trigger2 = p2stateno = 1083 && p2movetype = H && p2dist x < 100 && p2dist x > 0

[State -1];기본공격
type = ChangeState
value = 200
triggerall = fvar(35) = 1
triggerall = p2stateno != 5030 && p2stateno != 5035 && p2stateno != 5050
triggerall = statetype = S && stateno != 100 && ctrl && p2statetype != L
triggerall = prevstateno != 250 && stateno != 250 && p2dist y > -70
trigger1 = p2dist x < 110 && (random < 100 || (power < 500 && random < 200))

[State -1];블링크
type = ChangeState
value = 109
triggerall = fvar(35) = 1 && statetype != A && var(20) <= 0 && pos y >= 0
;triggerall = ctrl || (stateno = 200 || stateno = 300 || stateno = 250 || stateno = 103 || stateno = 104 || stateno = 400 || stateno = 40 || stateno = 52 || stateno = 1035)
triggerall = power >= 195 + var(19)*10
trigger1 = p2dist x < 125 && random < 200 && ctrl
trigger2 = p2dist x > 250 && random < 100 && p2movetype = A && ctrl
trigger3 = stateno = 300 && p2dist x < 80 && movecontact = 0 && animelem = 6,>0 && p2movetype != H
trigger4 = p2dist X > -20 && ctrl
trigger4 = p2bodydist X <= 40
trigger4 = p2bodydist Y <= -200
trigger4 = p2movetype = A
trigger4 = random <= 400
trigger5 = p2dist x > 150 && p2dist x <= 250 && random < 50 && p2movetype = A && ctrl

[State -1];앉아공격
type = ChangeState
value = 400
trigger1 = fvar(35) = 1
trigger1 = statetype != A && ctrl
trigger1 = p2statetype = L && p2dist x < 111 && random < 300

[State -1];점프공격앞
type = ChangeState
value = 600
trigger1 = fvar(35) = 1
trigger1 = statetype = A && ctrl
trigger1 = p2dist x > 0 && p2dist x < 108 && p2dist y >= -80 && p2dist y < 70
trigger1 = (vel y < 0 && p2dist y < 50) || (vel y >= 0 && p2dist y >= -70)
trigger1 = (p2statetype != A && time > 6) || p2statetype = A

[State -1];점프공격밑
type = ChangeState
value = 610
triggerall = fvar(35) = 1
triggerall = statetype = A && ctrl
triggerall = p2dist x > -20 && p2dist x <= 30 && p2dist y >= 70
trigger1 = (vel y < 0 && p2dist y < 102)||(vel y > 0 && p2dist y < 140)

[State -1]
type = ChangeState
value = 130
triggerall = fvar(35) = 1
triggerall = statetype != A && ctrl
triggerall = p2statetype != L
triggerall = p2bodydist Y >= -100
triggerall = p2dist X >= -20
trigger1 = p2movetype = A && p2bodydist X <= 250
trigger1 = (p2statetype = S && random < 500) || (p2statetype = A && random < 900) || gametime%30 >= 25
trigger2 = p2movetype != A && p2dist x > 150
trigger2 = enemynear,numproj > 0
trigger3 = p2name = "D'RAVEN" && enemynear,numhelper(801)+enemynear,numhelper(802) > 0

[State -1]
type = ChangeState
value = 131
triggerall = fvar(35) = 1
triggerall = statetype != A && ctrl
triggerall = p2statetype != L
triggerall = p2bodydist Y >= -100
triggerall = p2dist X >= -20
trigger1 = p2movetype = A && p2bodydist X <= 250
trigger1 = (p2statetype = C && random < 900) || gametime%30 < 25
trigger2 = p2movetype != A && p2dist x > 150
trigger2 = enemynear,numproj > 0 && random < 500
trigger3 = p2name = "D'RAVEN" && enemynear,numhelper(801)+enemynear,numhelper(802) > 0 && random < 200
